Package org.eclipse.draw2d

# Interface UpdateListener

All Known Implementing Classes:
  `ScrollableThumbnail`, `Thumbnail`, `UpdateListener.Stub`

public interface UpdateListener
An interface used to notify listeners that the listened to object is updating.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`UpdateListener.Stub`
An empty implementation of `UpdateListener` for convenience.

## Method Summary

Modifier and Type
Method
Description
`void`
`notifyPainting(Rectangle damage, Map<IFigure,Rectangle> dirtyRegions)`
Notifies the listener that the listened to object is painting.
`void`
`notifyValidating()`
Notifies the listener that the listened to object is validating.

## Method Details

### notifyPainting

void notifyPainting(Rectangle damage, Map<IFigure,Rectangle> dirtyRegions)
Notifies the listener that the listened to object is painting. The damage rectangle may be null or empty. This indicates the dirty regions were clipped or not visible. But for objects such as the `Thumbnail`, notification still needs to occur. The map of dirty regions is passed to allow the listener to determine if it needs to update, for instance when a particular figure is painting.

Parameters:
  `damage` - The area being painted
  `dirtyRegions` - a Map of figures to their dirty regions

### notifyValidating

void notifyValidating()
Notifies the listener that the listened to object is validating.